/*****************************************************************************
 * leco                                                                      *
 *****************************************************************************/

/*****************************************************************************
 * File name:     src/leco.h                                                 *
 * Created:       2005-08-07 by Hampa Hug <hampa@hampa.ch>                   *
 * Last modified: 2006-07-08 by Hampa Hug <hampa@hampa.ch>                   *
 * Copyright:     (C) 2005-2006 Hampa Hug <hampa@hampa.ch>                   *
 *****************************************************************************/

/*****************************************************************************
 * This program is free software. You can redistribute it and / or modify it *
 * under the terms of the GNU General Public License version 2 as  published *
 * by the Free Software Foundation.                                          *
 *                                                                           *
 * This program is distributed in the hope  that  it  will  be  useful,  but *
 * WITHOUT  ANY   WARRANTY,   without   even   the   implied   warranty   of *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU  General *
 * Public License for more details.                                          *
 *****************************************************************************/

/* $Id: leco.h 48 2006-07-08 11:37:23Z hampa $ */


#ifndef LECO_H
#define LECO_H 1


#include "config.h"

#include <stdio.h>
#include "lstdint.h"


extern const char    *argv0;

extern int           par_encode;

extern uint64_t      par_esize;
extern uint64_t      par_esize2;
extern unsigned      par_ecnt;

extern unsigned long par_size;
extern unsigned      par_bcnt;

extern unsigned      par_first_block;

extern unsigned long par_src_size;
extern unsigned long par_dst_size;

extern int           par_redundant_crcs;


#endif
